# Cond::broadcast

(PECL pthreads < 3.0.0)

Cond::broadcast — Broadcast a Condition

Warning

The Cond class has been removed in pthreads v3.

### Description

final public static Cond::broadcast ( int `$condition` ) : bool

Broadcast to all Threads blocking on a call to Cond::wait().

### Parameters

`condition`

  A handle to a Condition Variable returned by a previous call to Cond::create()

### Return Values

A boolean indication of success.

### Examples

Example #1 Condition Broadcasting

`<?php
/** You cannot use the "new" keyword, a Cond is not a PHP object **/
$cond = Cond::create();
/** The caller must lock the associated Mutex before a call to broadcast **/
var_dump(Cond::broadcast($cond));
/** Always destroy Cond you have created **/
Cond::destroy($cond);
?>`

The above example will output:

    bool(true)